use HTTP::Request::Common;
use LWP::UserAgent;
my $browser = LWP::UserAgent->new();

######### ST 20 Ago 2013 ##############################
######### Client script to call the web service at
######### http://hlt-services.fbk.eu/TPStool/ernesta/index.php
######### It should be called with one argument: 
######### xml_file in TerenceXMLFormat
######## The output is an XML file containing:
######## - Each sentence in the input document 
######## - The simplified version of that sentence
######## - The implementation of three heuristics to generate wrong sentences:
######## H1: Wrong subject
######## H2: Wrong temporal expression
######## H3: Negated event
######## Usage: perl Euristiche_client.perl PathToInputFile
######## es.  perl Euristiche_client.perl storie/Ugo-5-Bidoni-Lev2-LC.sen.tok.txt.xml


my $file = $ARGV[0];

my $text = "";
if (-e $file) {
	open(FILEIN,  "<:encoding(UTF-8)", $file);
	while (my $line = <FILEIN>) {
		$text .= $line;
	}
	close(FILEIN);

my $resp = $browser->post("http://hlt-services1.fbk.eu/TPStool/ernesta/", {text=>$text});
	my $risultato = $resp->content;
	print $risultato;
	print "\n";
} else {
	print STDERR "Input file $file doesn't found\n"; 
}
